<?php
/**
 * NotificationVariableEnum
 *
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\CommunicationManagerClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * Ensi Communication manager
 *
 * Ensi Communication manager
 *
 * The version of the OpenAPI document: 1.0.0
 * Contact: mail@greensight.ru
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */

namespace Ensi\CommunicationManagerClient\Dto;
use \Ensi\CommunicationManagerClient\ObjectSerializer;

/**
 * NotificationVariableEnum Class Doc Comment
 *
 * @category Class
 * @description Доступные виды переменных в уведомлениях:   * &#x60;{order_products}&#x60; - список продуктов в заказе   * &#x60;{delivery_products}&#x60; - список продуктов в отправлении   * &#x60;{product_name}&#x60; - название товара (связано с order_products или delivery_products)   * &#x60;{product_qty}&#x60; - количество товара в позиции (связано с order_products или delivery_products)   * &#x60;{product_price}&#x60; - цена позиции с товаром со скидкой (связано с order_products или delivery_products)   * &#x60;{product_cost}&#x60; - цена позиции с товаром без скидки (связано с order_products или delivery_products)   * &#x60;{product_image}&#x60; - ссылка главного изображения товара (связано с order_products или delivery_products)   * &#x60;{order_receiver_name}&#x60; - имя получателя   * &#x60;{order_receiver_phone}&#x60; - телефон получателя   * &#x60;{order_number}&#x60; - номер заказа   * &#x60;{order_payment_link}&#x60; - ссылка на оплату   * &#x60;{order_price}&#x60; - итоговая стоимость заказа   * &#x60;{order_products_price}&#x60; - стоимость товаров в заказе   * &#x60;{order_delivery_price}&#x60; - стоимость доставки   * &#x60;{order_delivery_method}&#x60; - метод доставки   * &#x60;{order_delivery_address}&#x60; - адрес доставки   * &#x60;{order_delivery_point}&#x60; - точка самовывоза   * &#x60;{order_delivery_comment}&#x60; - комментарий к доставке   * &#x60;{order_deliveries}&#x60; - отправления в заказе   * &#x60;{order_delivery_number}&#x60; - номер отправления (связано с order_deliveries, если событие связано с заказом)   * &#x60;{order_delivery_date}&#x60; - дата доставки отправления (связано с order_deliveries, если событие связано с заказом)   * &#x60;{order_delivery_timeslot}&#x60; - временной диапазон доставки отправления (связано с order_deliveries, если событие связано с заказом)   * &#x60;{customer_name}&#x60; - имя клиента   * &#x60;{confirmation_code}&#x60; - код подтверждения
 * @package  Ensi\CommunicationManagerClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */
class NotificationVariableEnum
{
    
    /** Cписок продуктов в заказе */
    public const ORDER_PRODUCTS = '{order_products}';
    
    /** Cписок продуктов в отправлении */
    public const DELIVERY_PRODUCTS = '{delivery_products}';
    
    /** Название товара */
    public const PRODUCT_NAME = '{product_name}';
    
    /** Количество товара в позиции */
    public const PRODUCT_QTY = '{product_qty}';
    
    /** Цена позиции с товаром со скидкой */
    public const PRODUCT_PRICE = '{product_price}';
    
    /** Цена позиции с товаром без скидки */
    public const PRODUCT_COST = '{product_cost}';
    
    /** Ссылка главного изображения товара */
    public const PRODUCT_IMAGE = '{product_image}';
    
    /** Имя получателя */
    public const ORDER_RECEIVER_NAME = '{order_receiver_name}';
    
    /** Телефон получателя */
    public const ORDER_RECEIVER_PHONE = '{order_receiver_phone}';
    
    /** Номер заказа */
    public const ORDER_NUMBER = '{order_number}';
    
    /** Ссылка на оплату */
    public const ORDER_PAYMENT_LINK = '{order_payment_link}';
    
    /** Итоговая стоимость заказа */
    public const ORDER_PRICE = '{order_price}';
    
    /** Стоимость товаров в заказе */
    public const ORDER_PRODUCTS_PRICE = '{order_products_price}';
    
    /** Стоимость доставки */
    public const ORDER_DELIVERY_PRICE = '{order_delivery_price}';
    
    /** Метод доставки */
    public const ORDER_DELIVERY_METHOD = '{order_delivery_method}';
    
    /** Адрес доставки */
    public const ORDER_DELIVERY_ADDRESS = '{order_delivery_address}';
    
    /** Точка самовывоза */
    public const ORDER_DELIVERY_POINT = '{order_delivery_point}';
    
    /** Комментарий к доставке */
    public const ORDER_DELIVERY_COMMENT = '{order_delivery_comment}';
    
    /** Отправления в заказе */
    public const ORDER_DELIVERIES = '{order_deliveries}';
    
    /** Номер отправления */
    public const ORDER_DELIVERY_NUMBER = '{order_delivery_number}';
    
    /** Дата доставки отправления */
    public const ORDER_DELIVERY_DATE = '{order_delivery_date}';
    
    /** Временной диапазон доставки отправления */
    public const ORDER_DELIVERY_TIMESLOT = '{order_delivery_timeslot}';
    
    /** Имя клиента */
    public const CUSTOMER_NAME = '{customer_name}';
    
    /** Код подтверждения */
    public const CONFIRMATION_CODE = '{confirmation_code}';
    
    /**
     * Gets allowable values of the enum
     * @return string[]
     */
    public static function getAllowableEnumValues(): array
    {
        return [
            self::ORDER_PRODUCTS,
            self::DELIVERY_PRODUCTS,
            self::PRODUCT_NAME,
            self::PRODUCT_QTY,
            self::PRODUCT_PRICE,
            self::PRODUCT_COST,
            self::PRODUCT_IMAGE,
            self::ORDER_RECEIVER_NAME,
            self::ORDER_RECEIVER_PHONE,
            self::ORDER_NUMBER,
            self::ORDER_PAYMENT_LINK,
            self::ORDER_PRICE,
            self::ORDER_PRODUCTS_PRICE,
            self::ORDER_DELIVERY_PRICE,
            self::ORDER_DELIVERY_METHOD,
            self::ORDER_DELIVERY_ADDRESS,
            self::ORDER_DELIVERY_POINT,
            self::ORDER_DELIVERY_COMMENT,
            self::ORDER_DELIVERIES,
            self::ORDER_DELIVERY_NUMBER,
            self::ORDER_DELIVERY_DATE,
            self::ORDER_DELIVERY_TIMESLOT,
            self::CUSTOMER_NAME,
            self::CONFIRMATION_CODE,
        ];
    }

    /**
    * Gets allowable values and titles of the enum
    * @return string[]
    */
    public static function getDescriptions(): array
    {
        return [
            self::ORDER_PRODUCTS => 'Cписок продуктов в заказе',
            self::DELIVERY_PRODUCTS => 'Cписок продуктов в отправлении',
            self::PRODUCT_NAME => 'Название товара',
            self::PRODUCT_QTY => 'Количество товара в позиции',
            self::PRODUCT_PRICE => 'Цена позиции с товаром со скидкой',
            self::PRODUCT_COST => 'Цена позиции с товаром без скидки',
            self::PRODUCT_IMAGE => 'Ссылка главного изображения товара',
            self::ORDER_RECEIVER_NAME => 'Имя получателя',
            self::ORDER_RECEIVER_PHONE => 'Телефон получателя',
            self::ORDER_NUMBER => 'Номер заказа',
            self::ORDER_PAYMENT_LINK => 'Ссылка на оплату',
            self::ORDER_PRICE => 'Итоговая стоимость заказа',
            self::ORDER_PRODUCTS_PRICE => 'Стоимость товаров в заказе',
            self::ORDER_DELIVERY_PRICE => 'Стоимость доставки',
            self::ORDER_DELIVERY_METHOD => 'Метод доставки',
            self::ORDER_DELIVERY_ADDRESS => 'Адрес доставки',
            self::ORDER_DELIVERY_POINT => 'Точка самовывоза',
            self::ORDER_DELIVERY_COMMENT => 'Комментарий к доставке',
            self::ORDER_DELIVERIES => 'Отправления в заказе',
            self::ORDER_DELIVERY_NUMBER => 'Номер отправления',
            self::ORDER_DELIVERY_DATE => 'Дата доставки отправления',
            self::ORDER_DELIVERY_TIMESLOT => 'Временной диапазон доставки отправления',
            self::CUSTOMER_NAME => 'Имя клиента',
            self::CONFIRMATION_CODE => 'Код подтверждения',
        ];
    }
}


